
ChiliProject - Feature # 649: Update CodeRay to 1.0.0

Status: Closed Priority: Normal
Author: Holger Just Category: Text formatting
Created: 2011-10-08 Assignee:
Updated: 2011-12-09 Due date:
Remote issue URL: http://www.redmine.org/issues/4264
Affected version:
Description: CodeRay was updated to 1.0 recently. It was subsequently updated in Redmine. We should pull those 

patches. See remote issue URL for more info.

Associated revisions
2008-02-22 07:19 pm - Jean-Philippe Lang 
Menus items:
* fixed broken translation when a plugin is installed (closes #649)
* small fix to the plugin API: options parameter added to Redmine::Plugin#menu

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1172 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-10-29 11:35 am - Kornelius Kalnbach
#649 update to CodeRay 1.0 according to Etienne's r7618 in Redmine

2011-12-09 04:57 pm - Felix SchÃ¤fer 
[#649] Prevent the extra wiki styles from interfering with code highlighting.

History
2011-10-08 06:24 pm - Holger Just
- Tracker changed from Bug to Feature

2011-10-29 09:56 am - Kornelius Kalnbach
Pull request: https://github.com/chiliproject/chiliproject/pull/115

2011-11-07 01:35 am - Eric Davis
I commented in the pull request for this:

"The code looks fine, will need to be tested (manual and automated). This should target the unstable branch (we can keep this pull request though)."

Anyone want to merge the code, run the tests, test the code rendering in a browser, and commit it for 3.0?

2011-11-13 08:01 pm - Felix Schäfer
- File important_collision.png added

I've had a chance to test it and it all looks good except for a css collision:

!important_collision.png!

The collision can be reproduced with this file: https://raw.github.com/chiliproject/chiliproject/master/public/stylesheets/context_menu.css

Once that and the small language adjustment I've commented on github are fixed, it's a go from me too.

2011-11-15 11:10 am - Kornelius Kalnbach
Excuse me ^^ but what is a CSS collision? What's broken here, and how do I fix this?

2011-11-15 11:27 am - Felix Schäfer
Kornelius Kalnbach wrote:
> Excuse me ^^ but what is a CSS collision? What's broken here, and how do I fix this?

That means that there are two definitions for the "important" class in the css, one coming from the core, one coming from the "coderay" css definitions, 
that compete for styling this @!important@, and the core ones win. The css for coderay/the syntax highlighting should be made more precise so that it 
"wins" to style this @!important@.

2011-11-26 01:21 pm - Felix Schäfer
- Target version set to 3.0.0

Felix SchÃ¤fer wrote:
> except for a css collision:

So the problem is the additional wiki styles on unstable: the @span.important@ rules in source:/public/stylesheets/application.css@01e43f2e#L2348 
and source:/public/stylesheets/application.css@01e43f2e#L2385

Maybe we should throw in a reset in the @.syntaxhl@ block?

2011-12-02 12:32 am - Eric Davis
Felix SchÃ¤fer wrote:

> Maybe we should throw in a reset in the @.syntaxhl@ block?

If that is what CodeRay is using then I'd agree.

2011-12-03 05:52 pm - Felix Schäfer
Eric Davis wrote:
> Felix SchÃ¤fer wrote:
> 
> > Maybe we should throw in a reset in the @.syntaxhl@ block?
> 
> If that is what CodeRay is using then I'd agree.

@.syntaxhl@ is what ChiliProject uses, @.CodeRay@ is the wrapper for everything CodeRay. The reset I came up with for the @.important@ part is:

<pre><code class="css">
.syntaxhl .CodeRay .important {
  background: none;
  border: none;
  display: inline;
  margin: 0;
  padding: 0;
  min-height: 0;
}
</pre></code>

I don't like it much, but I fear we don't have many other choices (until we go CSS3 and/or SCSS/SASS).

2011-12-03 05:52 pm - Felix Schäfer
- Status changed from Open to Ready for review

Oh, and I plan on merging it next week if I don't hear any nays until then.

2011-12-06 09:19 pm - Eric Davis
Only other thing I'd do is document the .important reset ("Rest .wiki .important rules used by the icons") so we know when it's safe to remove.

I've been looking at some css auditing tools to see about removing some of our css.

2011-12-09 04:05 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Merged in commit:fbde685, thanks everyone for your contributions!
